//
//  TextViewController.swift
//  PLOP-Demo
//
//  Created by Rainer Schaaf on 07.01.20.
//  Copyright © 2020 PDFlib GmbH. All rights reserved.
//

import UIKit

class TextViewController: UIViewController {
    var fileName:String! = ""
    var className:String! = nil
    @IBOutlet weak var textView: UITextView!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        do {
            let example: AnyClass? = NSClassFromString(className)
            if let text = try example?.run(fileName) {
                textView.text = text
            }
        } catch let error as NSError {
            let alert = UIAlertController(title: "PLOP exception", message:error.localizedDescription, preferredStyle: .alert)
            alert.addAction(UIAlertAction(title: "OK", style: .default) { _ in })
            self.present(alert, animated: true){}
        }
    }
}
